/*****************************************************************
*
* PROJECT:        Swiss Perfect 3
*
* FILE:           sp3util.h
*
* DESCRIPTION:    Utility functions prototypes.
*
* AUTHOR:         Robert Rozycki   rozycki@perth.dialix.oz.au
*
* PORTABILITY:    ANSI C++
* 
* $Revision: 1.1 $
*
* $Date: 1996/03/30 11:11:47 $
*
*******************************************************************/

#ifndef _SP3UTIL_H
#define _SP3UTIL_H

// Utilities declared here are global and do not belong to any objects.
// Their names begin with 'u' followed by a capitalised letter so
// it is easy to distinguish them in the code

enum { ROUND_NEAREST, ROUND_DOWN, ROUND_UP };

///////////////////////////////////////////////////////////////
//
// General C utilities
//

char *uUpperString( char str[] );
long uIntDiv( long dividend, long divisor, int mode );

///////////////////////////////////////////////////////////////
//
// Swiss Perfect related utilities
//

void uPoints2Str( int points, char *points_str, char draw_symbol = 0 );
int  uStrBuf2Points( char *buf );

#endif